/* Copyright Steve Rabin, 2005. 
 * All rights reserved worldwide.
 *
 * This software is provided "as is" without express or implied
 * warranties. You may freely copy and compile this source into
 * applications you distribute provided that the copyright text
 * below is included in the resulting source code, for example:
 * "Portions Copyright Steve Rabin, 2005"
 */

#pragma once

#include "statemch.h"

#define DEADFRAMES 300

class Agent : public StateMachine
{
public:

	Agent( GameObject & object )
		: StateMachine( object ) {}
	~Agent( void ) {}


private:

	virtual bool States( State_Machine_Event event, MSG_Object * msg, int state, int substate );

	//Put member variables or functions here
	float m_heuristicWeight;
	float deadFrameCounter;

};
