/* Copyright Steve Rabin, 2005. 
 * All rights reserved worldwide.
 *
 * This software is provided "as is" without express or implied
 * warranties. You may freely copy and compile this source into
 * applications you distribute provided that the copyright text
 * below is included in the resulting source code, for example:
 * "Portions Copyright Steve Rabin, 2005"
 */

//These message names are processed inside msg.h

REGISTER_MESSAGE_NAME(MSG_NULL)							//Reserved message name
REGISTER_MESSAGE_NAME(MSG_CHANGE_STATE_DELAYED)			//Reserved message name
REGISTER_MESSAGE_NAME(MSG_CHANGE_SUBSTATE_DELAYED)		//Reserved message name

//Add new messages here

//REMOVE FOR ASSIGNMENT
REGISTER_MESSAGE_NAME(MSG_CheckTouch)
REGISTER_MESSAGE_NAME(MSG_Tagged)

REGISTER_MESSAGE_NAME(MSG_SetTargetPosition)
REGISTER_MESSAGE_NAME(MSG_Arrived)
REGISTER_MESSAGE_NAME(MSG_Reset)

//For Pathfinding
REGISTER_MESSAGE_NAME(MSG_NextGoal)
REGISTER_MESSAGE_NAME(MSG_SetHeuristic)

//For Multi-Agent Awareness
REGISTER_MESSAGE_NAME(MSG_StatusRequest)
REGISTER_MESSAGE_NAME(MSG_OK)
REGISTER_MESSAGE_NAME(MSG_NoResponse)
REGISTER_MESSAGE_NAME(MSG_Investigate)
REGISTER_MESSAGE_NAME(MSG_ReplaceSquad)
REGISTER_MESSAGE_NAME(MSG_CallForReinforcements)
REGISTER_MESSAGE_NAME(MSG_EnemySighted)
REGISTER_MESSAGE_NAME(MSG_EnemyDead)
REGISTER_MESSAGE_NAME(MSG_ReturnToSurveillance)
REGISTER_MESSAGE_NAME(MSG_LeaderDead)
REGISTER_MESSAGE_NAME(MSG_Assert)
REGISTER_MESSAGE_NAME(MSG_KillRadio)
REGISTER_MESSAGE_NAME(MSG_Kill)
REGISTER_MESSAGE_NAME(MSG_Die)

//Unit test messages
REGISTER_MESSAGE_NAME(MSG_UnitTestMessage)
REGISTER_MESSAGE_NAME(MSG_UnitTestMessage2)
REGISTER_MESSAGE_NAME(MSG_UnitTestMessage3)
REGISTER_MESSAGE_NAME(MSG_UnitTestBroken)
REGISTER_MESSAGE_NAME(MSG_UnitTestPing)
REGISTER_MESSAGE_NAME(MSG_UnitTestAck)
REGISTER_MESSAGE_NAME(MSG_UnitTestDone)
REGISTER_MESSAGE_NAME(MSG_UnitTestTimer)
